Private Declare Function FreeLibrary Lib "kernel32" (ByVal hModule As Long) As Long
Private Declare Function LoadLibraryA Lib "kernel32" (ByVal lpFileName As String) As Long
Private Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long
Private Declare Function CallWindowProcA Lib "user32" (ByVal lpPrevWndFunc As Long, ByVal hWnd As Long, ByVal Msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long

'עᡣ
Public Function DllRegister(ByVal FileName As String) As Boolean
    Dim hModule As Long
    Dim pAddress As Long
    hModule = LoadLibraryA(FileName)
    If hModule Then
        pAddress = GetProcAddress(hModule, "DllRegisterServer")
        If pAddress Then
            If CallWindowProcA(pAddress, 0, 0, 0, 0) Then DllRegister = True
        End If
        Call FreeLibrary(hModule)
    End If
End Function

'עᡣ
Public Function DllUnregister(ByVal FileName As String) As Boolean
    Dim hModule As Long
    Dim pAddress As Long
    hModule = LoadLibraryA(FileName)
    If hModule Then
        pAddress = GetProcAddress(hModule, "DllUnregisterServer")
        If pAddress Then
            If CallWindowProcA(pAddress, 0, 0, 0, 0) Then DllUnregister = True
        End If
        Call FreeLibrary(hModule)
    End If
End Function
